﻿using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Unity;
using OutlookBarAndPrism.Module1.ViewModels;

namespace OutlookBarAndPrism.Module1
{
	public class Module1 : IModule
	{
		IUnityContainer container;
		IRegionManager regionManager;

		public Module1(IRegionManager regionManager, IUnityContainer container)
		{
			this.regionManager = regionManager;
			this.container = container;
		}

		public void Initialize()
		{
			this.regionManager.RegisterViewWithRegion(RegionNames.ContactsViewRegion, () =>
			{
				return new ContactsViewModel();
			});
			this.regionManager.RegisterViewWithRegion(RegionNames.MailViewRegion, () =>
			{
				return new MailViewModel();
			});
			this.regionManager.RegisterViewWithRegion(RegionNames.PendingTasksViewRegion, () =>
			{
				return new PendingTasksViewModel();
			});
		}
	}
}