﻿using System;
using System.Windows;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.UnityExtensions;
using Microsoft.Practices.Unity;
using OutlookBarAndPrism.Shell.Views;

namespace OutlookBarAndPrism.Shell
{
	public partial class Boostrapper : UnityBootstrapper
	{
		protected override IModuleCatalog GetModuleCatalog()
		{
			ModuleCatalog catalog = new ModuleCatalog();

			catalog.AddModule(typeof(OutlookBarAndPrism.Module1.Module1), new string[] { });

			return catalog;
		}

		protected override DependencyObject CreateShell()
		{
			// Use the container to create an instance of the shell.
			ShellView view = Container.Resolve<ShellView>();

			// Display the Shell as the root visual for the application.
			Application.Current.RootVisual = view;

			return view;
		}
	}
}
